RDDepict::EmbeddedAtom Class Reference

Class that contains the data for an atoms that has alredy been embedded. More...

`#include <EmbeddedFrag.h>`

## Public Types

enum | EAtomType { UNSPECIFIED =0, CISTRANS, RING }

## Public Member Functions

| EmbeddedAtom ()
| EmbeddedAtom (unsigned int aid, const RDGeom::Point2D &pos)
EmbeddedAtom & | operator= (const EmbeddedAtom &other)
void | Transform (const RDGeom::Transform2D &trans)
void | Reflect (const RDGeom::Point2D &loc1, const RDGeom::Point2D &loc2)

## Public Attributes

unsigned int | aid
double | angle
int | nbr1
| the first neighbor of this atom that form the 'angle' More...
int | nbr2
| the second neighbor of atom that from the 'angle' More...
int | CisTransNbr
bool | ccw
int | rotDir
RDGeom::Point2D | loc
RDGeom::Point2D | normal
RDKit::INT_VECT | neighs
| and these are the atom IDs of the neighbors that still need to be embedded More...
double | d_density

## Detailed Description

Class that contains the data for an atoms that has alredy been embedded.

Definition at line 29 of file EmbeddedFrag.h.

## Member Enumeration Documentation

enum RDDepict::EmbeddedAtom::EAtomType

Enumerator
UNSPECIFIED |
CISTRANS |
RING |

Definition at line 31 of file EmbeddedFrag.h.

## Constructor & Destructor Documentation

RDDepict::EmbeddedAtom::EmbeddedAtom | ( |  | ) |

inline

Definition at line 36 of file EmbeddedFrag.h.

References neighs.

RDDepict::EmbeddedAtom::EmbeddedAtom | ( | unsigned int | aid,
|  | const RDGeom::Point2D & | pos
| ) |  |

inline

Definition at line 41 of file EmbeddedFrag.h.

References loc.

## Member Function Documentation

EmbeddedAtom& RDDepict::EmbeddedAtom::operator= | ( | const EmbeddedAtom & | other | ) |

inline

Definition at line 47 of file EmbeddedFrag.h.

References angle, ccw, CisTransNbr, d_density, loc, nbr1, nbr2, neighs, normal, and rotDir.

void RDDepict::EmbeddedAtom::Reflect | ( | const RDGeom::Point2D & | loc1,
|  | const RDGeom::Point2D & | loc2
| ) |  |

inline

Definition at line 68 of file EmbeddedFrag.h.

References ccw, loc, normal, and RDDepict::reflectPoint().

void RDDepict::EmbeddedAtom::Transform | ( | const RDGeom::Transform2D & | trans | ) |

inline

Definition at line 61 of file EmbeddedFrag.h.

References loc, normal, and RDGeom::Transform2D::TransformPoint().

## Member Data Documentation

unsigned int RDDepict::EmbeddedAtom::aid

Definition at line 77 of file EmbeddedFrag.h.

double RDDepict::EmbeddedAtom::angle

the angle that is already takes at this atom, so any new atom attaching to this atom with have to fall in the available part

Definition at line 81 of file EmbeddedFrag.h.

Referenced by operator=().

bool RDDepict::EmbeddedAtom::ccw

which direction do we rotate this normal to add the next bond if ccw is true we rotate counter cloack wise, otherwise rotate clock wise, by an angle that is <= PI/2

Definition at line 96 of file EmbeddedFrag.h.

Referenced by operator=(), and Reflect().

int RDDepict::EmbeddedAtom::CisTransNbr

is this is a cis/trans atom the neighbor of this atom that is involved in the cis/trans system - defaults to -1

Definition at line 91 of file EmbeddedFrag.h.

Referenced by operator=().

double RDDepict::EmbeddedAtom::d_density

Definition at line 116 of file EmbeddedFrag.h.

Referenced by operator=().

RDGeom::Point2D RDDepict::EmbeddedAtom::loc

Definition at line 103 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), operator=(), Reflect(), and Transform().

int RDDepict::EmbeddedAtom::nbr1

the first neighbor of this atom that form the 'angle'

Definition at line 84 of file EmbeddedFrag.h.

Referenced by operator=().

int RDDepict::EmbeddedAtom::nbr2

the second neighbor of atom that from the 'angle'

Definition at line 87 of file EmbeddedFrag.h.

Referenced by operator=().

RDKit::INT_VECT RDDepict::EmbeddedAtom::neighs

and these are the atom IDs of the neighbors that still need to be embedded

Definition at line 111 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

RDGeom::Point2D RDDepict::EmbeddedAtom::normal

this is a normal vector to one of the bonds that added this atom it provides the side on which we want to add a new bond to this atom, this is only relevant when we are dealing with non ring atoms. We would like to draw chains in a zig-zag manner

Definition at line 108 of file EmbeddedFrag.h.

Referenced by operator=(), Reflect(), and Transform().

int RDDepict::EmbeddedAtom::rotDir

rotation direction around this atom when adding new atoms, we determine this for the first neighbor and stick to this direction after that useful only on atoms that are degree >= 4

Definition at line 101 of file EmbeddedFrag.h.

Referenced by operator=().

The documentation for this class was generated from the following file:

- EmbeddedFrag.h